[arch-commits] Commit in (4 files)

Tobias Powalowski tpowa at archlinux.org
Wed Mar 17 19:39:15 CET 2010


    Date: Wednesday, March 17, 2010 @ 14:39:15
  Author: tpowa
Revision: 72515

add btrfs filesystem utils to full support filesystem

Added:
  btrfs-progs-unstable/
  btrfs-progs-unstable/repos/
  btrfs-progs-unstable/trunk/
  btrfs-progs-unstable/trunk/PKGBUILD

----------+
 PKGBUILD |   23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

Added: btrfs-progs-unstable/trunk/PKGBUILD
===================================================================
--- btrfs-progs-unstable/trunk/PKGBUILD	                        (rev 0)
+++ btrfs-progs-unstable/trunk/PKGBUILD	2010-03-17 18:39:15 UTC (rev 72515)
@@ -0,0 +1,23 @@
+# $Id$
+# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
+pkgname=btrfs-progs-unstable
+pkgver=0.19.20100317
+pkgrel=1
+pkgdesc="btrfs filesystem utilities"
+arch=(i686 x86_64)
+depends=('glibc' 'e2fsprogs')
+source=(ftp://ftp.archlinux.org/other/$pkgname/$pkgname-$pkgver.tar.bz2)
+url="http://btrfs.wiki.kernel.org/"
+license=('GPL2')
+
+build() {
+   cd $srcdir/$pkgname
+   chmod 755 version.sh
+   ./version.sh
+   make convert || return 1
+   make prefix=$pkgdir/usr install
+   # fix manpage
+   mkdir -p $pkgdir/usr/share/
+   mv $pkgdir/usr/man $pkgdir/usr/share/man
+}
+md5sums=('a31150268be9116bb0858682bbaf1a74')


Property changes on: btrfs-progs-unstable/trunk/PKGBUILD
___________________________________________________________________
Added: svn:keywords
   + Id



More information about the arch-commits mailing list